InotifyProtos.EventType (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.hdfs.protocol.proto, class: InotifyProtos, enum: EventType

Package org.apache.hadoop.hdfs.protocol.proto

# Enum Class InotifyProtos.EventType

java.lang.Object
java.lang.Enum<InotifyProtos.EventType>
org.apache.hadoop.hdfs.protocol.proto.InotifyProtos.EventType

All Implemented Interfaces:
  `Serializable`, `Comparable<InotifyProtos.EventType>`, `Constable`, `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`, `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

Enclosing class:
  org.apache.hadoop.hdfs.protocol.proto.InotifyProtos

public static enum InotifyProtos.EventType extends Enum<InotifyProtos.EventType> implements org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum
Protobuf enum `hadoop.hdfs.EventType`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EVENT_APPEND`
  `EVENT_APPEND = 2;`
  `EVENT_CLOSE`
  `EVENT_CLOSE = 1;`
  `EVENT_CREATE`
  `EVENT_CREATE = 0;`
  `EVENT_METADATA`
  `EVENT_METADATA = 4;`
  `EVENT_RENAME`
  `EVENT_RENAME = 3;`
  `EVENT_TRUNCATE`
  `EVENT_TRUNCATE = 6;`
  `EVENT_UNLINK`
  `EVENT_UNLINK = 5;`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `EVENT_APPEND_VALUE`
  `EVENT_APPEND = 2;`
  `static final int`
  `EVENT_CLOSE_VALUE`
  `EVENT_CLOSE = 1;`
  `static final int`
  `EVENT_CREATE_VALUE`
  `EVENT_CREATE = 0;`
  `static final int`
  `EVENT_METADATA_VALUE`
  `EVENT_METADATA = 4;`
  `static final int`
  `EVENT_RENAME_VALUE`
  `EVENT_RENAME = 3;`
  `static final int`
  `EVENT_TRUNCATE_VALUE`
  `EVENT_TRUNCATE = 6;`
  `static final int`
  `EVENT_UNLINK_VALUE`
  `EVENT_UNLINK = 5;`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static InotifyProtos.EventType`
  `forNumber(int value)`
  `static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptor()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor`
  `getDescriptorForType()`
  `final int`
  `getNumber()`
  `final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor`
  `getValueDescriptor()`
  `static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<InotifyProtos.EventType>`
  `internalGetValueMap()`
  `static InotifyProtos.EventType`
  `valueOf(int value)`
  Deprecated.
  `static InotifyProtos.EventType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static InotifyProtos.EventType`
  `valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)`
  Returns the enum constant of this class with the specified name.
  `static InotifyProtos.EventType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EVENT_CREATE

    public static final InotifyProtos.EventType EVENT_CREATE
    `EVENT_CREATE = 0;`

  - ### EVENT_CLOSE

    public static final InotifyProtos.EventType EVENT_CLOSE
    `EVENT_CLOSE = 1;`

  - ### EVENT_APPEND

    public static final InotifyProtos.EventType EVENT_APPEND
    `EVENT_APPEND = 2;`

  - ### EVENT_RENAME

    public static final InotifyProtos.EventType EVENT_RENAME
    `EVENT_RENAME = 3;`

  - ### EVENT_METADATA

    public static final InotifyProtos.EventType EVENT_METADATA
    `EVENT_METADATA = 4;`

  - ### EVENT_UNLINK

    public static final InotifyProtos.EventType EVENT_UNLINK
    `EVENT_UNLINK = 5;`

  - ### EVENT_TRUNCATE

    public static final InotifyProtos.EventType EVENT_TRUNCATE
    `EVENT_TRUNCATE = 6;`

- ## Field Details

  - ### EVENT_CREATE_VALUE

    public static final int EVENT_CREATE_VALUE
    `EVENT_CREATE = 0;`
    See Also:
      - Constant Field Values

  - ### EVENT_CLOSE_VALUE

    public static final int EVENT_CLOSE_VALUE
    `EVENT_CLOSE = 1;`
    See Also:
      - Constant Field Values

  - ### EVENT_APPEND_VALUE

    public static final int EVENT_APPEND_VALUE
    `EVENT_APPEND = 2;`
    See Also:
      - Constant Field Values

  - ### EVENT_RENAME_VALUE

    public static final int EVENT_RENAME_VALUE
    `EVENT_RENAME = 3;`
    See Also:
      - Constant Field Values

  - ### EVENT_METADATA_VALUE

    public static final int EVENT_METADATA_VALUE
    `EVENT_METADATA = 4;`
    See Also:
      - Constant Field Values

  - ### EVENT_UNLINK_VALUE

    public static final int EVENT_UNLINK_VALUE
    `EVENT_UNLINK = 5;`
    See Also:
      - Constant Field Values

  - ### EVENT_TRUNCATE_VALUE

    public static final int EVENT_TRUNCATE_VALUE
    `EVENT_TRUNCATE = 6;`
    See Also:
      - Constant Field Values

- ## Method Details

  - ### values

    public static InotifyProtos.EventType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static InotifyProtos.EventType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getNumber

    public final int getNumber()
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.Internal.EnumLite`
    Specified by:
      `getNumber` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### valueOf

    @Deprecated public static InotifyProtos.EventType valueOf(int value)
    Deprecated.
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `value` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### forNumber

    public static InotifyProtos.EventType forNumber(int value)
    Parameters:
      `value` - The numeric wire value of the corresponding enum entry.
    Returns:
      The enum associated with the given numeric wire value.

  - ### internalGetValueMap

    public static org.apache.hadoop.thirdparty.protobuf.Internal.EnumLiteMap<InotifyProtos.EventType> internalGetValueMap()

  - ### getValueDescriptor

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()
    Specified by:
      `getValueDescriptor` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptorForType

    public final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptorForType()
    Specified by:
      `getDescriptorForType` in interface `org.apache.hadoop.thirdparty.protobuf.ProtocolMessageEnum`

  - ### getDescriptor

    public static final org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumDescriptor getDescriptor()

  - ### valueOf

    public static InotifyProtos.EventType valueOf(org.apache.hadoop.thirdparty.protobuf.Descriptors.EnumValueDescriptor desc)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `desc` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null